Bug 145637 - suspicious code in assert statement
Summary: suspicious code in assert statement
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: howl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 11:17 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:26:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-01-20 11:17:23 UTC
Description of problem:

I just had a look at the source code for package howl-0.9.8-2
from the Redhat Fedora development tree.

I found this

[root@localhost SPECS]# find ../BUILD/howl-0.9.8/ -name \*.c -print |
xargs grep "assert.*(.* = "
../BUILD/howl-0.9.8/src/lib/howl/MacOSX/macosx_socket.c:       
sw_assert(self->m_super.m_registered = SW_TRUE);
[root@localhost SPECS]#

IMHO, dubious code. Suggest remove assignment from the assert statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2005-01-21 10:26:03 UTC
This code isn't even built on fedora. report it upstream instead.


Note You need to log in before you can comment on or make changes to this bug.